<?php
/*
Plugin Name: DataQlick Inventory & Sales sync to Accounting
Plugin URI: http://dashboardstream.com/dataqlick/
Description: Inventory management plugin that helps you sync WooCommerce sales data into accounting system automatically
Author: DashboardStream Software
Version: 1.0
Author URI: http://dashboardstream.com/
*/

if(!defined('ABSPATH')) die; // Die if accessed directly

define( 'DATAQLICK__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

define( 'DATAQLICK_LOGIN_API_URL', 'https://api.dataqlick.com/api/login' );
define( 'DATAQLICK_REGISTRATION_SHOP_API_URL', 'https://api.dataqlick.com/plugin/connect' );

require_once( DATAQLICK__PLUGIN_DIR . '/inc/class.dataqlick-main.php' );
require_once( DATAQLICK__PLUGIN_DIR . '/inc/plugin-settings-page.php' );

require_once( DATAQLICK__PLUGIN_DIR . '/inc/class.export.php' );
require_once( DATAQLICK__PLUGIN_DIR . '/inc/class.export-products.php' );
require_once( DATAQLICK__PLUGIN_DIR . '/inc/class.export-customers.php' );
require_once( DATAQLICK__PLUGIN_DIR . '/inc/class.export-sales.php' );
require_once( DATAQLICK__PLUGIN_DIR . '/inc/class.export-shop.php' );

$GLOBALS['dataqlick_array_of_updated_products'] = array();
$GLOBALS['dataqlick_array_of_updated_orders'] = array();

register_activation_hook( __FILE__, array( 'DataQlick__Main', 'on_activation' ) );

DataQlick__Main::init();