<?php
if(!defined('ABSPATH')) die; // Die if accessed directly

class DataQlick__ShopInfoExport extends DataQlick__Export {

    public function get_all_items_count() {
        return '';
    }

    public function get_items_data() {
        return '';
    }

    public function display_json_data() {
        $this->init_variables();

        $shop_name = get_bloginfo('name');
        $shop_currency = apply_filters( 'woocommerce_currency', get_option( 'woocommerce_currency' ) );

        $result = array(
            'name' => $shop_name,
            'currency' => $shop_currency,
            'time' => date('c'),
        );

        header('Content-Type: application/json');
        echo json_encode( $result, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE );
    }

}